---
title: 'HTMLElement: pointercancel event'
slug: Web/API/HTMLElement/pointercancel_event
tags:
  - Event
  - HTML DOM
  - HTMLElement
  - Pointer Events
  - PointerEvent
  - Reference
  - pointercancel
  - user input
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>pointercancel</code></strong> event is fired when the browser determines that there are unlikely to be any more pointer events, or if after the {{event("pointerdown")}} event is fired, the pointer is then used to manipulate the viewport by panning, zooming, or scrolling.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onpointercancel">onpointercancel</a></code></td>
  </tr>
 </tbody>
</table>

<p>Some examples of situations that will trigger a <code>pointercancel</code> event:</p>

<ul>
 <li>A hardware event occurs that cancels the pointer activities. This may include, for example, the user switching applications using an application switcher interface or the "home" button on a mobile device.</li>
 <li>The device's screen orientation is changed while the pointer is active.</li>
 <li>The browser decides that the user started pointer input accidentally. This can happen if, for example, the hardware supports palm rejection to prevent a hand resting on the display while using a stylus from accidentally triggering events.</li>
 <li>The {{cssxref("touch-action")}} CSS property prevents the input from continuing.</li>
</ul>

<div class="note">
<p>After the <code>pointercancel</code> event is fired, the browser will also send {{event("pointerout")}} followed by {{event("pointerleave")}}.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.addEventListener('pointercancel', (event) =&gt; {
  console.log('Pointer event cancelled');
});</pre>

<p>Using the <code>onpointercancel</code> event handler property:</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.onpointercancel = (event) =&gt; {
  console.log('Pointer event cancelled');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-pointercancel-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-pointercancel-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.pointercancel_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events
  <ul>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/gotpointercapture_event">gotpointercapture</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/lostpointercapture_event">lostpointercapture</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerover_event">pointerover</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerenter_event">pointerenter</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerdown_event">pointerdown</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointermove_event">pointermove</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerup_event">pointerup</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerout_event">pointerout</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerleave_event">pointerleave</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onpointercancel">onpointercancel</a></code> event handler property</li>
 <li>This event on <code>Document</code> targets: <code><a href="/en-US/docs/Web/API/Document/pointercancel_event">pointercancel</a></code> event</li>
</ul>
